build: false

environment:
    matrix:
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2017
          CMAKE_GENERATOR: "MinGW Makefiles"
          CMAKE_MAKE_PROGRAM: "C:\\MinGW\\bin\\mingw32-make.exe"
          CC: "C:\\MinGW\\bin\\gcc.exe"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
          CMAKE_GENERATOR: "Visual Studio 12 2013"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
          CMAKE_GENERATOR: "Visual Studio 12 2013 Win64"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
          CMAKE_GENERATOR: "Visual Studio 14 2015"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
          CMAKE_GENERATOR: "Visual Studio 14 2015 Win64"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2017
          CMAKE_GENERATOR: "Visual Studio 15 2017"
        - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2017
          CMAKE_GENERATOR: "Visual Studio 15 2017 Win64"

test_script:
    dir /B /S C:\*gcc.exe
    python build.py
